Skip to content
EntitlerDocs

GET/v1/devices/{device_id}

Get a keypad device

Returns one keypad device of the environment, with its assignment. Needs customers:read.

curl 'https://api.entitler.co/v1/devices/<device_id>' \
  -H "Authorization: Bearer $ENTITLER_KEY"

Credentials

Send any one of these:

  • Bearer token

Path parameters

NameTypeDescription
device_idrequiredstring

Query parameters

NameTypeDescription
target.team_idstring
target.project_idstring
target.environment_idstring

Responses

200The GetDeviceResponse message.

GetDeviceResponse

  • deviceKeypadDevice
    • assignedAtinteger

      at least 0; at most 18446744073709552000

    • customerExternalIdstring
    • digitsKeypadDigitsrequired

      One of KEYPAD_DIGITS_UNSPECIFIED, KEYPAD_DIGITS_FULL, KEYPAD_DIGITS_RESTRICTED.

    • externalIdstringrequired
    • idstringrequired
    • productIdstring
    • registeredAtintegerrequired

      at least 0; at most 18446744073709552000

    • retiredAtinteger

      at least 0; at most 18446744073709552000

ErrorA refusal, with the HTTP status of its gRPC code.

Error

  • errorobjectrequired
    • codestringrequired
    • parametersobjectrequired

      Each value: string

    • reasonstringor nullrequired